flamerobin (0.9.13.ds.2-2) unstable; urgency=medium

  * watch: switch to api.github.com
  * unbundle-firebird.patch: use correct #ifdef checks (Closes: #1092635)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jan 2025 15:31:52 +0000

flamerobin (0.9.13.ds.2-1) unstable; urgency=medium

  * New upstream version 0.9.13.ds.2
  * Adapt unbundle-firebird.patch

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Oct 2024 07:15:14 +0000

flamerobin (0.9.12.ds.2-1) unstable; urgency=medium

  * New upstream version 0.9.11.ds.2
  * Adapt unbundle-firebird.patch
  * New upstream version 0.9.12.ds.2
  * Declare conformance with Policy 4.7.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Oct 2024 08:19:00 +0000

flamerobin (0.9.10.ds.2-1) unstable; urgency=medium

  * bump years of upstream copyright
  * remove generated makefiles/projects from upstream sources
  * New upstream version 0.9.10.ds.2
  * update unbundle-firebird.patch
  * patch-out inclusion of autoconf_inc.m4 by configure.ac

 -- Damyan Ivanov <dmn@debian.org>  Fri, 01 Dec 2023 19:48:52 +0000

flamerobin (0.9.9.ds.1-1) unstable; urgency=medium

  * New upstream version 0.9.9.ds.1

 -- Damyan Ivanov <dmn@debian.org>  Tue, 10 Oct 2023 05:35:44 +0000

flamerobin (0.9.7.ds.1-1) unstable; urgency=medium

  * New upstream version 0.9.7.ds.1
  * update debian/copyright
  * bump Standards-Version from 4.6.1 to 4.6.2 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 05 Oct 2023 19:48:12 +0000

flamerobin (0.9.6.ds.1-2) unstable; urgency=medium

  * provide stylers.xml -> Solarized-light.xml link
    fixes crash in SQL editor (stylers.xml is removed for licensing reasons)
    (Closes: #1028520)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Jan 2023 16:09:58 +0000

flamerobin (0.9.6.ds.1-1) unstable; urgency=medium


  * New upstream version 0.9.4
    + drop three patches applied upstream
    + patch the build for using system-wide ibase.h, make fb4 features
      optional
  * clarification of licensing terms
  * fix formatting error in IPL license text block
  * copyright: repackage excluding src/firebird/include/*
    these files are copies from FirebirdSQL and aren't needed with the patch
    for using the system-wide ibase.h
  * New upstream version 0.9.5
  * copyright: list new files, remove a bunch without clear licensing
  * New upstream version 0.9.6

 -- Damyan Ivanov <dmn@debian.org>  Fri, 23 Dec 2022 20:35:40 +0000

flamerobin (0.9.3.12-3) unstable; urgency=medium

  * add another patch fixing 128-bit support on 32-bit architectures

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Sep 2022 21:04:57 +0000

flamerobin (0.9.3.12-2) unstable; urgency=medium

  * add a patch for build-time detection of __int128 and
    std::decimal::decimal64/128
    fixes FTBFS on arm, mips and others (Closes: #1019953)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Sep 2022 15:19:19 +0000

flamerobin (0.9.3.12-1) unstable; urgency=medium

  * bump wx build-dependency to 3.2 (Closes: #1019767)
  * New upstream version 0.9.3.12
  * copyright: convert to machine-readable, bump years, add debian/*
  * declare conformance with Policy 4.6.1 (no changes needed)
  * add upstream metadata
  * patch a small typo in databasehandler.cpp

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 Sep 2022 08:50:46 +0000

flamerobin (0.9.3.6-2) unstable; urgency=medium

  * ensure proper migration from docs symlink to directory and vice versa
    .
    In 0.9.3.5-1 /usr/share/flamerobin/docs was moved to
    /usr/share/doc/flamerobin/html with a symlink at the old location
    .
    Old state
      /usr/share/doc/flamerobin/html -> ../../flamerobin/docs
      /usr/share/flamerobin/docs -- a directory with HTML files
    New state
      /usr/share/doc/flamerobin/html -- a directory with HTML files
      /usr/share/flamerobin/docs -> ../doc/flamerobin/html
    .
    Since dpkg won't do dir<->symlink conversions, add maintscript for the
    two transitions. Also add Pre-Depends on dpkg 1.17.14 for maintscript
    support.
    .
    Thanks to Andreas Beckmann for reporting (Closes: #985289)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 19 Mar 2021 05:54:27 +0000

flamerobin (0.9.3.6-1) unstable; urgency=medium

  * New upstream snapshot release
   + drop out/fix-table-list-gh142.patch, released upstream

 -- Damyan Ivanov <dmn@debian.org>  Mon, 11 Jan 2021 08:07:02 +0000

flamerobin (0.9.3.5-2) unstable; urgency=medium

  * Patch a workaround for rdb$relation_type being NULL (Closes: #979211)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Jan 2021 13:29:19 +0000

flamerobin (0.9.3.5-1) unstable; urgency=medium

  * New upstream version 0.9.3.5
  * update debian/copyright
  * switch build to cmake, drop boost
  * install manual from docs/flamerobin.1
  * put docs under /usr/share/doc/flamerobin
  * bump Standards-Version to 4.5.1 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 02 Jan 2021 10:47:11 +0000

flamerobin (0.9.3.4-1) unstable; urgency=medium

  * New upstream version 0.9.3.4
  * drop out/spelling.patch applied upstream
  * switch to debhelper compatibility level 13

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Sep 2020 05:40:47 +0000

flamerobin (0.9.3.3-1) unstable; urgency=medium

  * switch debian/watch to track github releases
  * New upstream version 0.9.3.3
  * update years of upstream copyright
  * adapt d/rules to generate src/revisioninfo.h if it doesn't exist
  * declare conformance with Policy 4.5.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 03 Sep 2020 09:44:49 +0000

flamerobin (0.9.3~+20160512.c75f8618-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Damyan Ivanov ]
  * build against libwxgtk3.0-gtk3-dev (Closes: #933413)
  * install 'Whats new' document as 'NEWS'
    Policy v4.2.0, §12.7
  * Declare conformance with Policy 4.4.0

 -- Damyan Ivanov <dmn@debian.org>  Wed, 31 Jul 2019 14:33:46 +0000

flamerobin (0.9.3~+20160512.c75f8618-2) unstable; urgency=medium

  * accommodate upstream changes into debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Feb 2018 20:48:38 +0000

flamerobin (0.9.3~+20160512.c75f8618-1) unstable; urgency=medium

  * New upstream version 0.9.3~+20160512.c75f8618
  * drop out/confgure-gcc5.patch, issue fixed upstream
  * drop upstream/debug-flags.patch, issue fixed upstream
  * Vcs-*: alioth → salsa
  * suggest firebird3.0 (instead of 2.5) in the long description
  * drop obsolete build-conflicts with libwxgtk2.6-dev
  * drop the explicit dpkg build-dependency (version available in
    oldoldstable)
  * declare that no rules target requires root
  * declare conformance with Policy 4.1.3
  * update README.source to match reality

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Feb 2018 19:31:27 +0000

flamerobin (0.9.3~+20150308.6c0559c-2) unstable; urgency=medium

  * Add a patch from gh/mariuz/flamerobin.git passing -DNDEBUG to c++ flags in
    no-debug builds. Closes: LP#1705293
  * drop menu file
  * use https:// for Vcs-* URLs
  * bump debhelper compatibility level to 9
  * Turn on all hardening options via DEB_BUILD_MAINT_OPTIONS=hardening=+all
  * Declare conformance with Policy 4.0.0
  * Patch a couple spelling mistakes in error messages

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Jul 2017 17:33:37 +0000

flamerobin (0.9.3~+20150308.6c0559c-1) unstable; urgency=medium

  * New upstream snapshot
  * bump years of usptream copyright
  * Patch configure to make boost library version detection work with CPP-5
    Closes: #777850 -- ftbfs with GCC-5
  * Declare conformance to Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Jun 2015 08:43:43 +0000

flamerobin (0.9.3~+20140206.3f9645c-4) unstable; urgency=medium

  * remove wx3.0-vs-gcc4.9.patch as no longer needed
    the gcc-4.9 problem was fixed and wx 3.0.2 has a workaround for it anyway
    Thanks to Olly Betts. Closes: #764404

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Oct 2014 21:07:58 +0000

flamerobin (0.9.3~+20140206.3f9645c-3) unstable; urgency=medium

  * Add patch from Michael Hieke to work around issues between wx3.0 and
    g++-4.9. (Closes: #746847)
  * Declare conformance with Policy 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 03 Jun 2014 11:59:21 +0300

flamerobin (0.9.3~+20140206.3f9645c-2) unstable; urgency=medium

  * Upload to unstable, there is no freeze to be disrupted, yet

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2014 11:22:21 +0200

flamerobin (0.9.3~+20140206.3f9645c-1) experimental; urgency=medium

  * use xz compression for snapshot source tarball
  * New upstream snapshot
    + add support for more Firebird 3.0 reserved keywords
    + ask before deleting unsaved changes to SQL files
  * switch to WxWidgets 3.0 (Closes: #742092)
    Thanks to Olly Betts for the patch and the testing

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2014 10:49:46 +0200

flamerobin (0.9.3~+20131014.97b278c-1) experimental; urgency=low

  * New upstream snapshot
    + Upstream switched development to Git
      - adapt pack-upstream-snapshot.sh
    + add patch to not re-create revisioninfo.h during build
    + update debian/copyright
  * update debian/copyright (years, new files)
  * remove RPATH from flamerobin binary by using chrpath -d

 -- Damyan Ivanov <dmn@debian.org>  Mon, 14 Oct 2013 14:54:22 +0300

flamerobin (0.9.3~svn+2250-1) experimental; urgency=low

  * New upstream SVN snapshot
  * Upload to experimental to avoid disturbing the freeze

  * add boost to build-dependencies
  * adjust revision mangling code to new upstream
  * update debian/copyright (new m4 macros)
  * d/rules: plug a nasty sed hack to disable rpath in generated Makefile
  * use canonical Vcs-* locations (thanks, lintian)
  * Standards-Version: 3.9.4 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 26 Dec 2012 21:47:46 +0200

flamerobin (0.9.3~svn+2220-1) unstable; urgency=low

  * New upstream SVN snapshot
    + Enable "Set field to NULL" command for blob fields
    + Enable "Set field to NULL" command for current field if grid has no cells
      selected
    + Invalidate grid cell attribute cache to properly update text color if
      field null status has changed
    + Warnings (signed <-> unsigned comparison) fixed
    + Fix for SF.net bug tracker items #3516047 and #2018533: use larger result
      buffer (65535 instead of 8000) and don't parse past the length of the
    + Don't show Drop and Properties commands for view columns (and fix crash
      in Column::getDropSqlStatement() when called for view columns)
  * Standards-Version: 3.9.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Jun 2012 18:53:10 +0300

flamerobin (0.9.3~svn+2216-1) unstable; urgency=low

  * New upstream SVN snapshot

  * Install larger icon to pixmaps/ for nicer gnome3 (at least) experience

 -- Damyan Ivanov <dmn@debian.org>  Fri, 03 Feb 2012 11:35:40 +0200

flamerobin (0.9.3~svn+2212-1) unstable; urgency=low

  * New upstream SVN snapshot
  * bump years of upstream copyright

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 Jan 2012 09:35:25 +0200

flamerobin (0.9.3~svn+2197-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Mon, 16 Jan 2012 10:03:10 +0200

flamerobin (0.9.3~svn+2188-3) unstable; urgency=low

  * fix the version of the dpkg-dev build-dependency
  * build-depend on firebird-dev, instead of the transitional firebird2.5-dev

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Oct 2011 12:51:39 +0300

flamerobin (0.9.3~svn+2188-2) unstable; urgency=low

  * control: refer to firebird 2.5 instead of 2.0
    also add superclassic to the possible server packages
  * rules: move --parallel after $@ in the dh catchall rule
  * use dpkg-buildflags to feed configure

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Sep 2011 14:55:47 +0300

flamerobin (0.9.3~svn+2188-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Sep 2011 12:56:39 +0300

flamerobin (0.9.3~svn+2187-1) unstable; urgency=low

  * New upstream SVN snapshot
    + drop no-copy-dotdotdot-wxString.patch (applied upstream)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Sep 2011 17:14:08 +0300

flamerobin (0.9.3~svn+2180-1) unstable; urgency=low

  * New upstream SVN snapshot
  * drop fix-deprecated-ibpp-constant.patch (applied upstream)
  * add patch fixing FTBFS because of passing wxString to '...' arglist
  * update copyright summary

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Jun 2011 14:31:39 +0300

flamerobin (0.9.3~svn+2106-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Apr 2011 17:43:45 +0300

flamerobin (0.9.3~svn+2105-1) unstable; urgency=low

  * New upstream SVN snapshot
   + If main window close event can be vetoed then loop through all other
     BaseFrame instances and check whether they veto the closing (check for
     open transactions, unsaved changes to files, active background work and so
     on). Replaces the previous confirmation dialog that was always shown.
   + Store last selected authentication mode for database creation as selection
     index of the choice control instead of string selection because the
     entries are translatable strings
   + Correct value of ExecuteSqlFrame status bar pane with database connection
     info restored
   + LogTextControl modified to be read-only, custom context menu implemented
     for selecting, copying and clearing the content
   + Regression fixed: parameter data type weren't shown in procedure property
     pages any more

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Apr 2011 11:34:05 +0300

flamerobin (0.9.3~svn+2100-1) unstable; urgency=low

  * New upstream SVN snapshot
  * Upload to unstable
   + stop using system-wide ibase.h.
     Unstable has no fb3.0 so system-wide ibase.h has no boolean defines,
     which are used by FR and were ported to IBPP's embedded copy of ibase.h
   + build-depend on firebird2.5-dev instead of firebird-dev
     firebird-dev is only in experimental

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Apr 2011 19:40:40 +0300

flamerobin (0.9.3~svn+2092-1) experimental; urgency=low

  * New upstream SVN snapshot
    + fixes a crash in database registration introduced by previous version

 -- Damyan Ivanov <dmn@debian.org>  Sun, 10 Apr 2011 10:20:05 +0300

flamerobin (0.9.3~svn+2091-1) experimental; urgency=low

  * New upstream SVN snapshot

  * pack-upstream-snapshot, mangle-svn-rev: shorten version string
  * copyright: update years of upstream copyright
  * Standards-Version: 3.9.2 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Apr 2011 10:39:46 +0300

flamerobin (0.9.3~svn20110107r2084-1) experimental; urgency=low

  * New upstream SVN snapshot

  * rules: force usage of system ibase.h. IBPP contains an embedded
    copy, which may become stale
  * Fix usage of a deprecated isc_info_db_SQL_dialect in IBPP
  * build-depend on firebird-dev for boolean support
  * copyright: note that src/ibpp/ibase.h uses Interbase Public Licesne

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Jan 2011 14:44:09 +0200

flamerobin (0.9.3~svn20101115r2079-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Nov 2010 17:37:12 +0200

flamerobin (0.9.3~svn20101024r2048-1) experimental; urgency=low

  * New upstream SVN snapshot

  * add abort-on-upstream-changes to debian/source/local-options

 -- Damyan Ivanov <dmn@debian.org>  Tue, 26 Oct 2010 07:46:30 +0300

flamerobin (0.9.3~svn20101010r2017-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Tue, 12 Oct 2010 08:53:13 +0300

flamerobin (0.9.3~svn20101001r1977-1) experimental; urgency=low

  * New upsttream SVN snapshot
  * rules/clean: invoke unmangle-svn-rev.sh
  * use `3.0 (quilt)' source format

 -- Damyan Ivanov <dmn@debian.org>  Sat, 02 Oct 2010 16:12:45 +0300

flamerobin (0.9.3~svn20100913r1941-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Sep 2010 10:10:43 +0300

flamerobin (0.9.3~svn20100913r1939-1) experimental; urgency=low

  * New upstream SVN snapshot
  * rules: use dh --parallel (and require debhelper 7.4.10)
  * README.source: explain Git branch usage, fix instructions for obtaining
    snapshot tarballs and improve formatting

 -- Damyan Ivanov <dmn@debian.org>  Mon, 13 Sep 2010 12:48:33 +0300

flamerobin (0.9.3~svn20100910r1937-1) experimental; urgency=low

  * New upstream SVN snapshot
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Sep 2010 21:20:29 +0300

flamerobin (0.9.3~svn20100621r1918-1) experimental; urgency=low

  * debian/pack-upstream-snapshot.sh: add --format to git log calls
  * New upstream SVN snapshot
    + control: add libboost-dev to build-dependencies

 -- Damyan Ivanov <dmn@debian.org>  Mon, 21 Jun 2010 13:25:51 +0300

flamerobin (0.9.3~svn20100527r1897-1) experimental; urgency=low

  * New upstream SVN snapshot
    + features BLOB editor

  * bump years of upstream copyright

  * debian/pack-upstream-snapshot.sh improvements
    + use 'git foo' instead of 'git-foo'
    + work directly with orig/upstream-svn branch
    + determine version from src/frversion.h
  * Standards-Version: 3.8.4 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 29 May 2010 11:59:51 +0300

flamerobin (0.9.2-2) unstable; urgency=low

  * build-depend on firebird2.1-dev instead of firebird2.0-dev
  * adopt debhelper 7 tiny rules
    + some of the work delegated to files under debian/
    + prepend 'dh $@' with a plus to allow parallel building
  * Standards-Version: 3.8.3
    + change section to 'database'
  * build with fresh config.{sub,quess}; add autotools-dev to B-D

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Sep 2009 18:02:54 +0300

flamerobin (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * update README.source and pack-upstream-snapshot.sh to refer to the new
    upstream-svn branch
    + also mention how nrmal upstream releases are handled
  * rules: remove unmangling of src/frsvnrev.h; save a copy and restore it
    during clean instead
  * ship text version of fr_whatsnew.html as upstream changelog
    + build-depend on html2text
  * Standards-Version: 3.8.1 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 13 Apr 2009 14:20:25 +0300

flamerobin (0.9.0-2) unstable; urgency=low

  * Build-conflict with libwxgtk2.6-dev, which contains a higher priority
    alternative to wx-config, fooling the configure script to use wx2.6 even
    if 2.8 is available.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Sep 2008 13:27:56 +0300

flamerobin (0.9.0-1) unstable; urgency=low

  * New upstream release.
    + Full Firebird 2.1 compatibility
    + Tab-based property pages for database object
    + Ability to load and save BLOBs directly to/from DataGrid cells
    + A new, improved dialog for inserting new rows
    + numerous bugfixes and minor enhancements
  * Upload to unstable
  * debian/unmangle-svn-rev.sh: do nothingfor non-snapshot builds
  * rules: drop extra touch in build-stamp target

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Sep 2008 10:20:21 +0300

flamerobin (0.9.0~svn20080915r1746-1) experimental; urgency=low

  * New upstream SVN snapshot
  * README.source: fix a typo (alter->later)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Sep 2008 10:20:11 +0300

flamerobin (0.8.7~svn20080821r1729-1) experimental; urgency=low

  * New upstream SVN snapshot
  * update documentation about obraining snapshot tarballs in README.source

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Aug 2008 09:11:39 +0300

flamerobin (0.8.7~svn20080723r1724-2) experimental; urgency=low

  * Do not /add/ SVN keywords in the Debian .diff. Snapshot .orig.tar.gz is
    extracted from the git-svn clone so these are gone. Maintaining them is a
    pain anyway.

 -- Damyan Ivanov <dmn@debian.org>  Thu, 24 Jul 2008 10:16:48 +0300

flamerobin (0.8.7~svn20080723r1724-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Jul 2008 11:25:19 +0300

flamerobin (0.8.7~svn20080714r1718-1) experimental; urgency=low

  * New upstream SVN snapshot
  * Build depend on libwxgtk2.8-dev
  * rules: detect SVN snapshots and mangle update-svn-rev.sh accordingly
  * fetch-upstream-svn: use gzip -9 -n
  * fetch-upstream-svn: use 'set -u'
  * add README.source documenting how to generate snapshot upstream
    releases
  * Claim support for Policy 3.8.0

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Jul 2008 10:08:54 +0300

flamerobin (0.8.6-1) unstable; urgency=low

  * new upstream release

 -- Damyan Ivanov <dmn@debian.org>  Tue, 18 Mar 2008 13:31:39 +0200

flamerobin (0.8.5~svn20080229r1645-1) unstable; urgency=low

  * New upstream SVN snapshot
  * drop empty debian/patches and remove quilt from the build system and
    Build-Depends
  * add src/frsvnrev.h claiming revisiion 1645

 -- Damyan Ivanov <dmn@debian.org>  Sat, 01 Mar 2008 09:42:00 +0200

flamerobin (0.8.3-1) unstable; urgency=low

  * New Upstream Version
  * dropped patches:
    + svn_stop_endless-message-boxes-on-error.patch -- modified version
      released upstream
    + ftbfs-gcc4.3.patch -- released upstream

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Dec 2007 23:46:12 +0200

flamerobin (0.8.1-3) unstable; urgency=low

  * Fix FTBFS with gcc-4.3 (Closes: #456051)
    New ftbs-gcc4.3.patch, stolen from upstream SVN, r1593
    Thanks to Martin Michlmayr for reporting.
  * Streamline debian/rules
    + use $@ when touching stamps
    + make stamps depend on stamps only
    + use $(QUILT_STAMPFN) instead "patch" in dependency
    + drop unneeded dh_installman
  * Bump standards-Version to 3.7.3 (no changes)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Dec 2007 17:11:36 +0200

flamerobin (0.8.1-2) unstable; urgency=low

  * Add patch from upstream SVN r1472 that fixes a problem with endless dialog
    creation on certain error conditions

 -- Damyan Ivanov <dmn@debian.org>  Fri, 19 Oct 2007 23:42:59 +0300

flamerobin (0.8.1-1) unstable; urgency=low

  * New Upstream Version

  * Promote Homepage to a real control field
  * Add Vcs-* fields with new git location
  * Use upstream-supplied .xpm for the menu
    + drop unneeded imagemagic from B-D

  * Fix debian/fetch-upstream-svn.sh to use new SF.net SVN location
  * Move dh_clean before $(MAKE) distclean
  * Freshen-up copyright years
  * give executable permission to configure before calling

 -- Damyan Ivanov <dmn@debian.org>  Wed, 17 Oct 2007 23:25:00 +0300

flamerobin (0.7.6-4) unstable; urgency=low

  * Update debian/menu for the menu transition
  * [debian/rules] do not ignore make errors in clean target

 -- Damyan Ivanov <dmn@debian.org>  Fri, 27 Jul 2007 15:49:52 +0300

flamerobin (0.7.6-3) unstable; urgency=medium

  * Medium urgency due to fix of a FTBFS
  * Build-depend on firebird2.0-dev.
    Closes: #427197, "FTBFS: /usr/bin/ld: cannot find -lfbclient"
  * Mention firebird2.0 in the long description

  * Drop Depends firebird2-server-common, which is unnecessary - libfb*
    already depend on a suitable package containing message database
  * Added XS-Vcs-Svn field to debian/control
  * Remove debian/patches/00list, drop dpatch from B-D and remove
    patch/unpatch targets from debian/rules
  * Move to debhelper 5
  * Change maintainer address

 -- Damyan Ivanov <dmn@debian.org>  Sat, 02 Jun 2007 23:45:13 +0300

flamerobin (0.7.6-2) unstable; urgency=high

  * Urgency high to slip in a quick and easy update along with previous
    revision

  * Revert to .xpm icon in menu file (closes: #400633)
    - Build-depend on imagemagick
    - call convert to produce an .xpm icon out of the .png

 -- Damyan Ivanov <dam@modsoftsys.com>  Wed,  6 Dec 2006 22:51:49 +0200

flamerobin (0.7.6-1) unstable; urgency=low

  * New upstream release. Fixes and improvements.
  * debian/rules: do not copy flamerobin.xpm since upstreams make
    install now does it; Also drop creating usr/share/pixmaps
  * debian/fetch-upstream-svn.sh: fix the name of orig.tar.gz
  * Call dh_desktop to help register .desktop file upstream now provides
  * Use the .png icon in menu file

 -- Damyan Ivanov <dam@modsoftsys.com>  Thu, 23 Nov 2006 10:22:59 +0200

flamerobin (0.7.6~svn20061120-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dam@modsoftsys.com>  Mon, 20 Nov 2006 09:08:09 +0200

flamerobin (0.7.5-2) unstable; urgency=low

  * Moved linker flags to LDFLAGS
  * Added --as-needed to LDFLAGS to avoid unnecessary NEEDED entries.
    Thanks to Christian 'Greek0' Aichinger.
  * use dh_link to create html docs symlink. Spares a line in debian/dirs
    Thanks to Isaac Clerencia.
  * Remove debian/dirs and use dh_createdirs, since only one dir has to be
    created.

 -- Damyan Ivanov <dam@modsoftsys.com>  Mon, 30 Oct 2006 13:05:58 +0200

flamerobin (0.7.5-1) unstable; urgency=low

  * New upstream release
  * Added debian/fetch-upstream-svn.sh

 -- Damyan Ivanov <dam@modsoftsys.com>  Wed,  6 Sep 2006 09:20:07 +0300

flamerobin (0.7.2-7) unstable; urgency=low

  * Change Architecture: from a list of firebird-supported architectures to
    "any" and rely on wanna-build to trigger a rebuild when firebird gets
    ported to a new architecture.
    Thanks to Kari Pahula for pointing this out.
  * First upload to archive
    Closes: #334489

 -- Damyan Ivanov <dam@modsoftsys.com>  Wed, 14 Jun 2006 11:06:32 +0300

flamerobin (0.7.2-6) unstable; urgency=low

  * Finally get html -> docs symlink in usr/share/doc/flamerobin right.

 -- Damyan Ivanov <dam@modsoftsys.com>  Tue, 13 Jun 2006 18:36:36 +0300

flamerobin (0.7.2-5) unstable; urgency=low

  * Changes suggested by Thijs Kinkhorst. Thanks for the review
    + Removed debian/docs, which only listed useless BUILD.txt
    + Removed useless postinst/postrm
    + Removed unused remove-supplied-fbheaders.dpatch; all (already
      commented) lines from patches/00list too
    + Place a symlink to html manuals in  /usr/share/doc/flamerobin

 -- Damyan Ivanov <dam@modsoftsys.com>  Tue, 13 Jun 2006 17:31:26 +0300

flamerobin (0.7.2-4) unstable; urgency=low

  * Corrected firebird-*-server package names in long description

 -- Damyan Ivanov <dam@modsoftsys.com>  Tue, 30 May 2006 16:42:50 +0300

flamerobin (0.7.2-3) unstable; urgency=low

  * First upload to archive (not actually)

 -- Damyan Ivanov <dam@modsoftsys.com>  Tue, 30 May 2006 00:17:19 +0300

flamerobin (0.7.2-2) unstable; urgency=low

  * Cleanup of debian/copyright
    + Update my email address
    + Supply copyright years for files borrowed from Ximian project
      - also explain licensing of these files
    + Update upstream address for TIP group
    + Add "and IBPP Team" to IBPP copyright holders/authors.

 -- Damyan Ivanov <dam@modsoftsys.com>  Fri, 26 May 2006 15:56:03 +0300

flamerobin (0.7.2-1) unstable; urgency=low

  * New upstream bugfix release

  * Fixed casing in menu's title
  * Corrected typos in previous changelog entry
    [Thanks to Tamas TEVESZ <ice@extreme.hu> for spotting these two]
  * Changed maintainer address
  * Changed architecture to "i386 amd64", because this is what firebird2
    supports right now. Thanks to Yavor Doganov for spotting this.

 -- Damyan Ivanov <dam@modsoftsys.com>  Fri, 26 May 2006 09:02:10 +0300

flamerobin (0.7.1-1) unstable; urgency=low

  * New upstream bugfix release
  * Updated debian/copyright (in effect since 0.7.0)
  * Upstream now honors --mandir configure options, remove manual move of the
    manpage

 -- Damyan Ivanov <divanov@creditreform.bg>  Wed, 17 May 2006 15:24:15 +0300

flamerobin (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Dropped patches applied upstream
    - ibpp-provide-client-lib-version.dpatch
    - client-version-in-about-dialog.dpatch
  * Bumped Standards-Version to 3.7.2. No changes needed.
  * Upstream now provides a manpage. Yeah!
    + Drop debian/flamerobin.dbk
    + Drop buildong a manpage from .dbk
    + Drop build-dependencies on xsltproc and docbook-xsl
    + Move it from /usr/man to /usr/share/man

 -- Damyan Ivanov <divanov@creditreform.bg>  Tue, 16 May 2006 17:58:01 +0300

flamerobin (0.6.99+svn20060504-1) unstable; urgency=low

  * New upstream SVN snapshot
  * Dropped remove-supplied-fbheaders.dpatch - upstream no longer supplies
    firebird headers
  * Updated ibpp-provide-client-lib-version.dpatch and
    client-version-in-about-dialog.dpatch

 -- Damyan Ivanov <divanov@creditreform.bg>  Sat,  6 May 2006 10:28:50 +0300

flamerobin (0.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
   + Noted that the date of debianization is the date of the first
     debianization
   + Noted that there is ongoing process of relicensing under Expat and a
     modified expat licenses
   + Added Marius Popa to copyright holders
  * updated debian/patches/remove-supplied-fbheaders
  * changed the license of the manpage from GPL "version 2 or later" to "GPL
    version 2"
  * Depend on firebird2-server-common for firebird.msg that is needed by
    client library for displaying error messages.
  * Bumped Standards-Version to 3.7.0
    + Put Build-Depends on two phisical lines

 -- Damyan Ivanov <divanov@creditreform.bg>  Wed,  3 May 2006 16:13:19 +0300

flamerobin (0.5.0-1) unstable; urgency=low

  * New upstream release

  * Dropped patches applied upstream or made unnecessary bu the new upstream
    release:
    - fix-confdeds-install
    - fix-docs-path.dpatch
    - fix-fricon-xpm.dpatch
    - auto-prefix.dpatch
    - ibpp-64.dpatch
    - amd64-invalid-casts.dpatch
  * New patch remove-supplied-fb-headers: remove pre-supplied Firebird
    headers.
  * Build-depend on firebird2-dev for the headers
  * debian/rules: remove generated frconfig.h in clean target

 -- Damyan Ivanov <divanov@creditreform.bg>  Thu, 29 Dec 2005 17:41:09 +0200

flamerobin (0.4.0-2) unstable; urgency=low

  * Added patches for building on amd64:
    - ibpp-64: remove dublicate function declarations, overlapping due to the
      fact that long and int64_t are the same thing on amd64
    - amd64-invalid-casts: fix several illegal casts from pointer to (int).
      Make them cast to (long) instead. Change format string accordingly -
      from %d to %ld.

 -- Damyan Ivanov <divanov@creditreform.bg>  Thu, 22 Sep 2005 16:22:06 +0300

flamerobin (0.4.0-1) unstable; urgency=low

  * Initial release. Unofficial, though.
  * Fix configure to not remove confdefs directory when invoked
  * fricon.xpm: move /* XPM */ header in the beginning
  * fix-docs-path: Set install prefix to /usr instead of /usr/local

 -- Damyan Ivanov <divanov@creditreform.bg>  Fri, 16 Sep 2005 15:10:09 +0300
